Fetch details of a participant
GET/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/participants/{participant_id}
Returns details of the given participant ID for the given session ID. Use the peer report endpoint to retrieve call statistics.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
Accepted Permissions (at least one required)
Path Parameters
Query Parameters
Fetch details of a participant
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/sessions/$SESSION_ID/participants/$PARTICIPANT_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"data": {
"participant": {
"id": "id",
"created_at": "created_at",
"custom_participant_id": "custom_participant_id",
"display_name": "display_name",
"duration": 0,
"joined_at": "joined_at",
"left_at": "left_at",
"peer_events": [
{
"id": "id",
"created_at": "created_at",
"event_name": "PEER_CREATED",
"minutes_consumed": 0,
"participant_id": "participant_id",
"peer_id": "peer_id",
"preset_view_type": "GROUP_CALL",
"session_id": "session_id",
"socket_session_id": "socket_session_id",
"updated_at": "updated_at"
}
],
"preset_name": "preset_name",
"updated_at": "updated_at",
"user_id": "user_id"
}
},
"success": true
}Returns Examples
{
"data": {
"participant": {
"id": "id",
"created_at": "created_at",
"custom_participant_id": "custom_participant_id",
"display_name": "display_name",
"duration": 0,
"joined_at": "joined_at",
"left_at": "left_at",
"peer_events": [
{
"id": "id",
"created_at": "created_at",
"event_name": "PEER_CREATED",
"minutes_consumed": 0,
"participant_id": "participant_id",
"peer_id": "peer_id",
"preset_view_type": "GROUP_CALL",
"session_id": "session_id",
"socket_session_id": "socket_session_id",
"updated_at": "updated_at"
}
],
"preset_name": "preset_name",
"updated_at": "updated_at",
"user_id": "user_id"
}
},
"success": true
}